import { connect, Dispatch } from 'react-redux';
import {
  SensorItemTree,
  SensorItemTreeStateProps,
  SensorItemTreeDispatchProps,
} from './components/SensorItemTree';
import State from '../redux/state/SensorItemReadAll';

import * as SensorItemReadAllActions from '../redux/action/sensor_item_read_all';

export function mapStateToProps(state: any): SensorItemTreeStateProps {
  return {

  };
}

export function mapDispatchToProps(dispatch: Dispatch<any>): SensorItemTreeDispatchProps {
  return {
    onRead: () => {
      dispatch(SensorItemReadAllActions.request());
    },
  };
}


export default connect(mapStateToProps, mapDispatchToProps)(SensorItemTree);
