import { connect, Dispatch } from 'react-redux';
import {
  SensorDetailItems,
  StateProps as SensorDetailItemsStateProps,
  DispatchProps as SensorDetailItemsDispatchProps,
} from './components/SensorDetailItems';
import State from '../redux/state/ItemRead';

import * as ItemReadActions from '../redux/action/item_read';

export function mapStateToProps(state: any): SensorDetailItemsStateProps {
  return {

  };
}

export function mapDispatchToProps(dispatch: Dispatch<any>): SensorDetailItemsDispatchProps {
  return {
    onRead: (id: number) => {
      dispatch(ItemReadActions.request(id));
    },
  };
}


export default connect(mapStateToProps, mapDispatchToProps)(SensorDetailItems);
