import * as React from 'react';
import { RouteComponentProps } from 'react-router';
import ProbeHostContainer from '@overflow/probe/react/ProbeHost';
import WebSocketRPC from '@overflow/commons/websocket/WebSocketRPC';
import AppContext from '@overflow/commons/context';
import inject from '@overflow/commons/context/decorator/inject';

class ProbeHost extends React.Component<RouteComponentProps<object>, object> {
  @inject()
  private client: WebSocketRPC;

  public constructor(props?: RouteComponentProps<object>, context?: object) {
    super(props, context);

    let con = AppContext.get<WebSocketRPC>();
  }

  public render(): JSX.Element {
    return (
        <ProbeHostContainer params={this.props.match.params}/>
    );
  }
}


export default ProbeHost;
