import Service from '@overflow/commons/api/Service';
import Member from '../model/Member';
import injectable from '@overflow/commons/context/decorator/injectable';



@injectable()
export class MemberService extends Service {

  public constructor() {
    super('MemberService');
  }

  public signin(signinId: string, signinPw: string): Promise<Member> {
    return this.send<Member>('signin', [signinId, signinPw]);
  }

  public signout(member: Member): Member {

    return null;
  }

  public signup(member: Member): Member {

    return null;
  }

  public read(id: number): Member {

    return null;
  }

  public withdrawal(id: number): Member {

    return null;
  }

  public modify(member: Member): Member {
    return null;
  }
}

export default MemberService;
