import * as React from 'react';
import {
  Button,
  Table,
  Label,
  Segment,
  Header,
  Container,
} from 'semantic-ui-react';
import Probe from '@overflow/probe/api/model/Probe';

export interface StateProps {
  id: string;
}

export interface DispatchProps {
}

export type Props = StateProps & DispatchProps;

export interface State {
  probe: any; // todo. fix to Probe
}


export class ProbeHost extends React.Component<Props, State> {

  constructor(props: Props, context: State) {
    super(props, context);
    this.state = {
      probe: null,
    };
  }

  public componentWillMount(): void {

    // todo. getting probe by probeId
    let p = {
      'id': '11',
      'status': {
        'name': 'STARTED',
      },
      'domain': {
        'name': 'insanity\'s domain',
      },
      'cidr': '192.168.1.0/24',
      'displayName': '192.168.1.105\'s probe',
      'targetCount': '20',
      'sensorCount': '30',
      'probeKey': '1AGBLKDFJ2452ASDGFL2KWJLKSDJ',
      'description': 'description1111111111',
      'createDate': '2017-01-01',
      'authorizeDate': '2017-01-01',
      'restartDate': '2017-01-01',
      'authorizeMember': {
        'name': 'insanity',
      },
    };

    this.setState({
      probe: p,
    });
  }


  public render(): JSX.Element {
    return (
      <Container>
        <Table celled={false}>
          <Table.Body>
            <Table.Row>
              <Table.Cell collapsing>
                <Header size='small'>Name</Header>
              </Table.Cell>
              <Table.Cell>todo</Table.Cell>
            </Table.Row>
          </Table.Body>
        </Table>
      </Container>
    );
  }
}

